QGIS Application - Feature request #1475
Crash on opening project after moving GRASS-GISDBASE
2009-01-05 10:44 AM - grasslandtom -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Pull Request or Patch supplied: Resolution: duplicate
Easy fix?: No Copied to github as #: 11535
Description

Dear QGIS developers,

When opening a QGIS project which contains GRASS layers which have been moved, QGIS gives an error message and exits after
clicking OK.

To reproduce do the following:

_add some GRASS layers to a project

_save and close project

_move GISDBASE-folder to anywhere

_reopen project in QGIS

As a workaround the <datasource> fields in the project file can be adapted with a text editor. A file browser-like dialogue to let the user
indicate the new path to GRASS-GISDBASE would be very helpful in such a case.

Thank you very much!
Tom

History

#1 - 2009-03-28 02:52 PM - Paolo Cavallini
- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #1371

#2 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
